## Version Information Version Information — Variables and macros to check the Cutter version |

## Functions

#define | CUTTER_CHECK_VERSION()

## Types and Values

#define | CUTTER_VERSION_MAJOR
#define | CUTTER_VERSION_MINOR
#define | CUTTER_VERSION_MICRO
#define | CUTTER_VERSION_STRING

## Description

Cutter provides version information, primarily useful in configure checks for builds that have a configure script. Tests will not typically use the features described here.

## Functions

### CUTTER_CHECK_VERSION()

    #define             CUTTER_CHECK_VERSION(major, minor, micro)

Checks the version of the Cutter. Returns true if the version of the Cutter header files is the same as or newer than the passed-in version.

#### Parameters

major | the major version number. |
minor | the minor version number. |
micro | the micro version number. |

Since: 1.0.7

## Types and Values

### CUTTER_VERSION_MAJOR

    #define CUTTER_VERSION_MAJOR 1

The major version number of the Cutter.

### CUTTER_VERSION_MINOR

    #define CUTTER_VERSION_MINOR 2

The minor version number of the Cutter.

### CUTTER_VERSION_MICRO

    #define CUTTER_VERSION_MICRO 7

The micro version number of the Cutter.

### CUTTER_VERSION_STRING

    #define CUTTER_VERSION_STRING "1.2.7"

The version number string of the Cutter with "#{MAJOR}.#{MINOR}.#{MICRO}" format.